dnl $Id$
dnl config.m4 for extension rename

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

dnl PHP_ARG_WITH(rename, for rename support,
dnl Make sure that the comment is aligned:
dnl [  --with-rename             Include rename support])

dnl Otherwise use enable:

dnl PHP_ARG_ENABLE(rename, whether to enable rename support,
dnl Make sure that the comment is aligned:
dnl [  --enable-rename           Enable rename support])

if test "$PHP_RENAME" != "no"; then
  dnl Write more examples of tests here...

  dnl # --with-rename -> check with-path
  dnl SEARCH_PATH="/usr/local /usr"     # you might want to change this
  dnl SEARCH_FOR="/include/rename.h"  # you most likely want to change this
  dnl if test -r $PHP_RENAME/$SEARCH_FOR; then # path given as parameter
  dnl   RENAME_DIR=$PHP_RENAME
  dnl else # search default path list
  dnl   AC_MSG_CHECKING([for rename files in default path])
  dnl   for i in $SEARCH_PATH ; do
  dnl     if test -r $i/$SEARCH_FOR; then
  dnl       RENAME_DIR=$i
  dnl       AC_MSG_RESULT(found in $i)
  dnl     fi
  dnl   done
  dnl fi
  dnl
  dnl if test -z "$RENAME_DIR"; then
  dnl   AC_MSG_RESULT([not found])
  dnl   AC_MSG_ERROR([Please reinstall the rename distribution])
  dnl fi

  dnl # --with-rename -> add include path
  dnl PHP_ADD_INCLUDE($RENAME_DIR/include)

  dnl # --with-rename -> check for lib and symbol presence
  dnl LIBNAME=rename # you may want to change this
  dnl LIBSYMBOL=rename # you most likely want to change this 

  dnl PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  dnl [
  dnl   PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $RENAME_DIR/lib, RENAME_SHARED_LIBADD)
  dnl   AC_DEFINE(HAVE_RENAMELIB,1,[ ])
  dnl ],[
  dnl   AC_MSG_ERROR([wrong rename lib version or lib not found])
  dnl ],[
  dnl   -L$RENAME_DIR/lib -lm
  dnl ])
  dnl
  dnl PHP_SUBST(RENAME_SHARED_LIBADD)

  PHP_NEW_EXTENSION(rename, rename.c, $ext_shared)
fi
