/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2012 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+
*/

/* $Id: header 321634 2012-01-01 13:15:04Z felipe $ */

#ifndef PHP_RENAME_H
#define PHP_RENAME_H

extern zend_module_entry rename_module_entry;
#define phpext_rename_ptr &rename_module_entry

#ifdef PHP_WIN32
#	define PHP_RENAME_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#	define PHP_RENAME_API __attribute__ ((visibility("default")))
#else
#	define PHP_RENAME_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(rename);
PHP_MSHUTDOWN_FUNCTION(rename);
PHP_RINIT_FUNCTION(rename);
PHP_RSHUTDOWN_FUNCTION(rename);
PHP_MINFO_FUNCTION(rename);

PHP_FUNCTION(function_rename);

#ifdef ZTS
#define RENAME_G(v) TSRMG(rename_globals_id, zend_rename_globals *, v)
#else
#define RENAME_G(v) (rename_globals.v)
#endif

#endif	/* PHP_RENAME_H */